Purchase and register the specified Domain
View as MarkdownRegisters the specified domain.
Full description
Registers the specified domain. Requires a consent object with agreement keys from GET /v1/domains/agreements. Charges the account's billing method.
Authorization
bearerAuth Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .
In: header
Header Parameters
Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account.
An instance document expected to match the JSON schema returned by ./schema/{tld}
Response Body
curl -X POST "https://example.com/v1/domains/purchase" \ -H "Content-Type: application/json" \ -d '{ "consent": { "agreedAt": "string", "agreedBy": "string", "agreementKeys": [ "string" ] }, "domain": "string" }'{ "currency": "USD", "itemCount": 0, "orderId": 0, "total": 0}Agent & Automation Notes
domains.domain:read, domains.domain:create, domains.domain:delete, domains.domain:update, domains.contact:update, domains.dns:update, domains.transfer:executeRelated
Last updated on
How is this guide?